Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface WindowListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, WindowAdapter

public interface WindowListener
extends EventListener

The listener interface for receiving window events. The class that is interested in processing a window event either implements this interface (and all the methods it contains) or extends the abstract `WindowAdapter` class (overriding only the methods of interest). The listener object created from that class is then registered with a Window using the window's `addWindowListener` method. When the window's status changes by virtue of being opened, closed, activated or deactivated, iconified or deiconified, the relevant method in the listener object is invoked, and the `WindowEvent` is passed to it.

Since:
  1.1
See Also:
  `WindowAdapter`, `WindowEvent`, Tutorial: Writing a Window Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `windowActivated(WindowEvent e)` Invoked when the window is set to be the user's active window, which means the window (or one of its subcomponents) will receive keyboard events.
`void` | `windowClosed(WindowEvent e)` Invoked when a window has been closed as the result of calling dispose on the window.
`void` | `windowClosing(WindowEvent e)` Invoked when the user attempts to close the window from the window's system menu.
`void` | `windowDeactivated(WindowEvent e)` Invoked when a window is no longer the user's active window, which means that keyboard events will no longer be delivered to the window or its subcomponents.
`void` | `windowDeiconified(WindowEvent e)` Invoked when a window is changed from a minimized to a normal state.
`void` | `windowIconified(WindowEvent e)` Invoked when a window is changed from a normal to a minimized state.
`void` | `windowOpened(WindowEvent e)` Invoked the first time a window is made visible.

Method Detail

### windowOpened

    public void windowOpened(WindowEvent e)

  Invoked the first time a window is made visible.

### windowClosing

    public void windowClosing(WindowEvent e)

  Invoked when the user attempts to close the window from the window's system menu. If the program does not explicitly hide or dispose the window while processing this event, the window close operation will be cancelled.

### windowClosed

    public void windowClosed(WindowEvent e)

  Invoked when a window has been closed as the result of calling dispose on the window.

### windowIconified

    public void windowIconified(WindowEvent e)

  Invoked when a window is changed from a normal to a minimized state. For many platforms, a minimized window is displayed as the icon specified in the window's iconImage property.
  See Also:
    `Frame.setIconImage(java.awt.Image)`

### windowDeiconified

    public void windowDeiconified(WindowEvent e)

  Invoked when a window is changed from a minimized to a normal state.

### windowActivated

    public void windowActivated(WindowEvent e)

  Invoked when the window is set to be the user's active window, which means the window (or one of its subcomponents) will receive keyboard events.

### windowDeactivated

    public void windowDeactivated(WindowEvent e)

  Invoked when a window is no longer the user's active window, which means that keyboard events will no longer be delivered to the window or its subcomponents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.